#include <cstdlib>
#include <string>
#include <iostream>

using namespace std;

char* chessboard=new char[64];

void parseLine(string line) {
  int i=7;
  char delChar;
  line+=",";
  // cout << line << endl;
  if (line[0]=='W') { delChar=0; } else { delChar='A'-'a'; }
  while (i<line.length()) {
    if ((line[i]=='K') || (line[i]=='Q') || (line[i]=='R') || (line[i]=='B') || (line[i]=='N')) {
//      cout << line[i] << (line[i+2]-'1') << " " << line[i+1]-'a' << " " << endl;
//      cout << line[i] << line[i+1] << line[i+2] << endl;
      chessboard[(line[i+2]-'1')*8+line[i+1]-'a']=line[i]-delChar;
      i+=4;
    } else {
//      cout << (line[i]-'1') << " " << line[i-1]-'a' << " " << line[i] << line[i-1] << endl;
//      cout << line[i] << line[i+1] << endl;
      chessboard[(line[i+1]-'1')*8+line[i]-'a']='P'-delChar;  
      i+=3;
    }
      
  }
}

void printBoard() {
  cout << "+---+---+---+---+---+---+---+---+";
  char limiter;
  for (int i=0;i<8;i++) {
   cout << endl; 
   for (int j=0;j<8;j++) {
     if ((i+j)%2==0) { limiter='.';} else {limiter=':';}
     cout << "|" << limiter;
     if (chessboard[(7-i)*8+j]==0) {
       cout << limiter;
     } else { cout << chessboard[(7-i)*8+j]; }
     cout << limiter;
   }
   cout << "|";
   cout << endl << "+---+---+---+---+---+---+---+---+";
  }
}

int main() {
  string white, black;
  getline(cin,white);
  getline(cin,black);
//  white="White: Ke1,Qd1,Ra1,Rh1,Bc1,Bf1,Nb1,a2,c2,d2,f2,g2,h2,a3,e4";
//  black="Black: Ke8,Qd8,Ra8,Rh8,Bc8,Ng8,Nc6,a7,b7,c7,d7,e7,f7,h7,h6";
  parseLine(white);
  parseLine(black);
  printBoard(); 
  return 0;
}